# m3e/divider

Divider is a thin line that separates content in lists or other containers.

This file was generated: By: m3e/generator version 0.1.0 At: 2026-05-05T14:38:23+10:00

         DO NOT EDIT

# Types

## Config

</>

Config is a public record for configuring this component.

    pub type Config {
      Config(
        inset: Inset,
        inset_start: InsetStart,
        inset_end: InsetEnd,
        vertical: Vertical,
      )
    }

### Constructors

-     Config(
        inset: Inset,
        inset_start: InsetStart,
        inset_end: InsetEnd,
        vertical: Vertical,
      )

## Divider

opaque </>

Divider is a View Model for this component

## Fields:

- inset: Whether the divider is indented with equal padding on both sides.
- inset_start: Whether the divider is indented with padding on the leading side.
- inset_end: Whether the divider is indented with padding on the trailing side.
- vertical: Whether the divider is vertically aligned with adjacent content.

    pub opaque type Divider

## Inset

</>

Inset is whether the divider is indented with equal padding on both sides.

    pub type Inset {
      IsInset
      IsNotInset
    }

### Constructors

-     IsInset

-     IsNotInset

## InsetEnd

</>

InsetEnd is whether the divider is indented with padding on the trailing side.

    pub type InsetEnd {
      IsInsetEnd
      IsNotInsetEnd
    }

### Constructors

-     IsInsetEnd

-     IsNotInsetEnd

## InsetStart

</>

InsetStart is whether the divider is indented with padding on the leading side.

    pub type InsetStart {
      IsInsetStart
      IsNotInsetStart
    }

### Constructors

-     IsInsetStart

-     IsNotInsetStart

## Vertical

</>

Vertical is whether the divider is vertically aligned with adjacent content.

    pub type Vertical {
      IsVertical
      IsNotVertical
    }

### Constructors

-     IsVertical

-     IsNotVertical

# Values

## default_config

</>

    pub fn default_config() -> Config

default_config is the default configuration for this component.

## default_inset

</>

    pub const default_inset: Inset

## default_inset_end

</>

    pub const default_inset_end: InsetEnd

## default_inset_start

</>

    pub const default_inset_start: InsetStart

## default_vertical

</>

    pub const default_vertical: Vertical

## from_config

</>

    pub fn from_config(config: Config) -> Divider

from_config creates a new Divider from the given configuration.

## inset

</>

    pub fn inset(record: Divider, inset: Inset) -> Divider

inset sets the value of inset for this Divider.

## inset_end

</>

    pub fn inset_end(record: Divider, inset_end: InsetEnd) -> Divider

inset_end sets the value of inset_end for this Divider.

## inset_start

</>

    pub fn inset_start(
      record: Divider,
      inset_start: InsetStart,
    ) -> Divider

inset_start sets the value of inset_start for this Divider.

## new

</>

    pub fn new() -> Divider

new creates a new Divider with the default configuration.

## render

</>

    pub fn render(
      model: Divider,
      attributes: List(attribute.Attribute(msg)),
      children: List(element.Element(msg)),
    ) -> element.Element(msg)

render creates a Lustre Element for a Divider

## render_config

</>

    pub fn render_config(
      c: Config,
      attributes: List(attribute.Attribute(msg)),
      children: List(element.Element(msg)),
    ) -> element.Element(msg)

render_config creates a Lustre Element from a Divider Config

## vertical

</>

    pub fn vertical(record: Divider, vertical: Vertical) -> Divider

vertical sets the value of vertical for this Divider.

✨